Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 716822 (icu-67.1-stable)

Summary: dev-libs/icu-67.1 (and friends) stabilisation
Product: Gentoo Linux Reporter: Andreas Sturmlechner <asturm>
Component: StabilizationAssignee: Gentoo Office Team <office>
Status: RESOLVED FIXED    
Severity: normal CC: arthurzam, jer, zsojka
Priority: Normal Keywords: CC-ARCHES, STABLEREQ
Version: unspecifiedFlags: nattka: sanity-check+
Hardware: All   
OS: Linux   
See Also: https://bugs.gentoo.org/show_bug.cgi?id=721016
https://bugs.gentoo.org/show_bug.cgi?id=708458
Whiteboard:
Package list:
dev-libs/icu-67.1 amd64 arm arm64 hppa ppc ppc64 sparc x86 dev-libs/icu-layoutex-67.1 amd64 hppa ppc ppc64 sparc x86 app-office/libreoffice-6.4.3.2 amd64 x86 app-office/libreoffice-bin-6.4.3.2 amd64 x86 app-office/libreoffice-bin-debug-6.4.3.2 amd64 x86 app-office/libreoffice-l10n-6.4.3.2 amd64 x86 app-text/libetonyek-0.1.9-r1 amd64 arm64 x86 app-text/libmwaw-0.3.16 amd64 arm64 x86 app-text/libstaroffice-0.0.7 amd64 arm64 x86 app-text/libwps-0.4.11 amd64 arm64 x86 dev-libs/libixion-0.15.0 amd64 arm64 x86 dev-libs/liborcus-0.15.4 amd64 arm64 x86 dev-python/pyicu-2.4.3 amd64 x86 dev-util/mdds-1.6.0 amd64 arm64 x86 media-gfx/graphite2-1.3.14 amd64 arm arm64 hppa ppc ppc64 sparc x86 s390 media-libs/libcdr-0.1.6 amd64 arm64 ppc ppc64 x86 net-libs/nodejs-14.2.0 amd64 arm arm64 ppc ppc64 x86 dev-libs/libuv-1.37.0 amd64 arm arm64 hppa ppc ppc64 sparc x86 s390
Runtime testing required: ---
Bug Depends on: 713522, 719732, 723394, 726120    
Bug Blocks: 723404, 724008, 724226    

Description Andreas Sturmlechner gentoo-dev 2020-04-09 16:34:59 UTC
In preparation, this will obviously take some time as we try to coordinate with friends of the package.

Candidates:
- LibreOffice 6.4.3.2 (not yet released)
- Qt 5.14.2 (not yet packaged)
Comment 1 NATTkA bot gentoo-dev 2020-05-16 14:21:17 UTC
Sanity check failed:

> dev-libs/libixion-0.15.0
>   depend arm64 stable profile default/linux/arm64/17.0 (20 total)
>     dev-libs/spdlog
> net-libs/nodejs-14.2.0
>   depend amd64 stable profile default/linux/amd64/17.0 (68 total)
>     >=dev-libs/libuv-1.37.0:=
>     >=net-dns/c-ares-1.16.0
>   depend amd64 dev profile default/linux/amd64/17.0/no-multilib/prefix/kernel-3.2+ (34 total)
>     >=dev-libs/libuv-1.37.0:=
>     >=net-dns/c-ares-1.16.0
>   rdepend amd64 stable profile default/linux/amd64/17.0 (68 total)
>     >=dev-libs/libuv-1.37.0:=
>     >=net-dns/c-ares-1.16.0
>   rdepend amd64 dev profile default/linux/amd64/17.0/no-multilib/prefix/kernel-3.2+ (34 total)
>     >=dev-libs/libuv-1.37.0:=
>     >=net-dns/c-ares-1.16.0
Comment 2 NATTkA bot gentoo-dev 2020-05-16 14:29:05 UTC
Sanity check failed:

> net-libs/nodejs-14.2.0
>   depend amd64 stable profile default/linux/amd64/17.0 (68 total)
>     >=dev-libs/libuv-1.37.0:=
>     >=net-dns/c-ares-1.16.0
>   depend amd64 dev profile default/linux/amd64/17.0/no-multilib/prefix/kernel-3.2+ (34 total)
>     >=dev-libs/libuv-1.37.0:=
>     >=net-dns/c-ares-1.16.0
>   rdepend amd64 stable profile default/linux/amd64/17.0 (68 total)
>     >=dev-libs/libuv-1.37.0:=
>     >=net-dns/c-ares-1.16.0
>   rdepend amd64 dev profile default/linux/amd64/17.0/no-multilib/prefix/kernel-3.2+ (34 total)
>     >=dev-libs/libuv-1.37.0:=
>     >=net-dns/c-ares-1.16.0
Comment 3 NATTkA bot gentoo-dev 2020-05-16 14:36:35 UTC
Unable to check for sanity:

> dependent bug #723394 is missing keywords
Comment 4 NATTkA bot gentoo-dev 2020-05-16 14:41:13 UTC
All sanity-check issues have been resolved
Comment 5 Andreas Sturmlechner gentoo-dev 2020-05-16 16:23:55 UTC
Adding media-libs/harfbuzz-2.6.5 to the list.
Comment 6 Larry the Git Cow gentoo-dev 2020-05-19 08:31:52 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2ba9999f7f0e9d20d3c03f2d0b0b4cec7c3a2f07

commit 2ba9999f7f0e9d20d3c03f2d0b0b4cec7c3a2f07
Author:     Andreas K. Hüttel <dilfridge@gentoo.org>
AuthorDate: 2020-05-19 08:31:16 +0000
Commit:     Andreas K. Hüttel <dilfridge@gentoo.org>
CommitDate: 2020-05-19 08:31:16 +0000

    app-office/libreoffice-bin-debug: Version bump
    
    Bug: https://bugs.gentoo.org/716822
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Andreas K. Hüttel <dilfridge@gentoo.org>

 app-office/libreoffice-bin-debug/Manifest          | 12 +++
 .../libreoffice-bin-debug-6.4.3.2.ebuild           | 87 ++++++++++++++++++++++
 2 files changed, 99 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1588efd32264110013447f60feb31bb4faa74ef4

commit 1588efd32264110013447f60feb31bb4faa74ef4
Author:     Andreas K. Hüttel <dilfridge@gentoo.org>
AuthorDate: 2020-05-19 08:29:56 +0000
Commit:     Andreas K. Hüttel <dilfridge@gentoo.org>
CommitDate: 2020-05-19 08:29:56 +0000

    app-office/libreoffice-bin: Version bump
    
    Bug: https://bugs.gentoo.org/716822
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Andreas K. Hüttel <dilfridge@gentoo.org>

 app-office/libreoffice-bin/Manifest                |  12 +
 .../libreoffice-bin/libreoffice-bin-6.4.3.2.ebuild | 252 +++++++++++++++++++++
 2 files changed, 264 insertions(+)
Comment 7 Larry the Git Cow gentoo-dev 2020-05-19 15:47:41 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fb2bee20993bfa245355f963556ec505ddaf150d

commit fb2bee20993bfa245355f963556ec505ddaf150d
Author:     Marek Szuba <marecki@gentoo.org>
AuthorDate: 2020-05-19 15:44:47 +0000
Commit:     Marek Szuba <marecki@gentoo.org>
CommitDate: 2020-05-19 15:45:38 +0000

    dev-python/pyicu: mark 2.4.3 stable on amd64
    
    Bug: https://bugs.gentoo.org/716822
    Signed-off-by: Marek Szuba <marecki@gentoo.org>

 dev-python/pyicu/pyicu-2.4.3.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 8 Andreas Sturmlechner gentoo-dev 2020-05-19 19:22:08 UTC
Arches please stabilise.
Comment 9 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2020-05-19 19:36:41 UTC
amd64 stable
Comment 10 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2020-05-20 13:35:05 UTC
arm64 stable
Comment 11 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2020-05-20 14:40:41 UTC
sparc stable
Comment 12 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2020-05-31 15:40:19 UTC
x86 stable
Comment 13 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2020-05-31 15:44:52 UTC
ppc stable
Comment 14 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2020-05-31 16:07:02 UTC
ppc64 stable
Comment 15 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2020-05-31 16:15:15 UTC
s390 stable
Comment 16 Rolf Eike Beer archtester 2020-06-01 17:35:14 UTC
hppa stable
Comment 17 Agostino Sarubbo gentoo-dev 2020-06-06 17:30:11 UTC
arm stable. Closing.